%define	major 0
%define libname	%mklibname yubikey %{major}
%define develname %mklibname -d yubikey

Summary:	Decrypting and parsing Yubikey One-Time Passwords Low-level library
Name:		yubikey
Version:	1.13
Release:	%mkrel 5
Group:	Yubikey
License:	BSD
URL:		https://developers.yubico.com/yubico-c/
Source0:	https://developers.yubico.com/yubico-c/Releases/libyubikey-%{version}.tar.xz
BuildRequires:	autoconf
BuildRequires:	libtool
BuildRequires:	asciidoc

%description
Low-level library for decrypting and parsing Yubikey One-Time Passwords (OTP),
for C.

%package -n	%{libname}
Summary:	Decrypting and parsing Yubikey One-Time Passwords Low-level library
Group:          Yubikey
Requires:		yubikey-tools
Requires:		python3-fido2

%description -n	%{libname}
This is a library written in C to validate a Yubikey OTP against the Yubico
online server.

%package -n	%{develname}
Summary:	Static library and header files for the libyubikey library
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}
Requires:	%{libname} = %{version}

%description -n	%{develname}
Low-level library for decrypting and parsing Yubikey One-Time Passwords (OTP),
for C.

This package contains the static libyubikey library and its header files.

%package	tools
Summary:	Command line tools for libyubikey
Group:          Yubikey

%description	tools
Low-level library for decrypting and parsing Yubikey One-Time Passwords (OTP),
for C.

This package contains various tools for libyubikey.

%prep
%setup -q -n libyubikey-%{version}

%build
autoreconf -vfi
%configure2_5x --disable-static
%make_build

%install
rm -rf %buildroot
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

# rename the too generic file names
for i in modhex ykgenerate ykparse; do
	mv %{buildroot}%{_bindir}/$i %{buildroot}%{_bindir}/libyubikey-$i
	mv %{buildroot}%{_mandir}/man1/$i.1 %{buildroot}%{_mandir}/man1/libyubikey-$i.1
done

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so

%files tools
%{_bindir}/libyubikey-modhex
%{_bindir}/libyubikey-ykgenerate
%{_bindir}/libyubikey-ykparse
%{_mandir}/man1/libyubikey-modhex.1*
%{_mandir}/man1/libyubikey-ykgenerate.1*
%{_mandir}/man1/libyubikey-ykparse.1*



%changelog
* Wed Jul 27 2022 tex - 1.13-5pclos2022
- rebuild against updates

* Mon Jun 27 2022 tex - 1.13-4pclos2022
- add req python3-fido2

* Sun Jun 19 2022 tex - 1.13-3pclos2022
- rebuild
